## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * temporarily disable tests until mock_instant ^0.5 is available
%bcond check 0
%global debug_package %{nil}

%global crate adblock

Name:           rust-adblock
Version:        0.9.6
Release:        %autorelease
Summary:        Native Rust module for Adblock Plus syntax

License:        MPL-2.0
URL:            https://crates.io/crates/adblock
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump rmp-serde dependency from 0.15 to 1
# * relax mock_instant dev-dependency
# * bump sha2 dev-dependency from 0.9 to 0.10
# * drop unused, benchmark-only criterion dev-dependency
# * drop unused, benchmark-only reqwest dev-dependency
# * drop unused css-validation feature with outdated dependencies
Patch:          adblock-fix-metadata.diff
# * drop tests that require unshipped support code
Patch10:        0001-drop-tests-that-require-unshipped-support-code.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Native Rust module for Adblock Plus syntax (e.g. EasyList, EasyPrivacy)
filter parsing and matching.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+addr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+addr-devel %{_description}

This package contains library source intended for building other packages which
use the "addr" feature of the "%{crate}" crate.

%files       -n %{name}+addr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+content-blocking-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+content-blocking-devel %{_description}

This package contains library source intended for building other packages which
use the "content-blocking" feature of the "%{crate}" crate.

%files       -n %{name}+content-blocking-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+embedded-domain-resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+embedded-domain-resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "embedded-domain-resolver" feature of the "%{crate}" crate.

%files       -n %{name}+embedded-domain-resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+full-regex-handling-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+full-regex-handling-devel %{_description}

This package contains library source intended for building other packages which
use the "full-regex-handling" feature of the "%{crate}" crate.

%files       -n %{name}+full-regex-handling-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lifeguard-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lifeguard-devel %{_description}

This package contains library source intended for building other packages which
use the "lifeguard" feature of the "%{crate}" crate.

%files       -n %{name}+lifeguard-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+object-pooling-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+object-pooling-devel %{_description}

This package contains library source intended for building other packages which
use the "object-pooling" feature of the "%{crate}" crate.

%files       -n %{name}+object-pooling-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-debug-info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-debug-info-devel %{_description}

This package contains library source intended for building other packages which
use the "regex-debug-info" feature of the "%{crate}" crate.

%files       -n %{name}+regex-debug-info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+resource-assembler-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+resource-assembler-devel %{_description}

This package contains library source intended for building other packages which
use the "resource-assembler" feature of the "%{crate}" crate.

%files       -n %{name}+resource-assembler-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsync-regex-caching-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsync-regex-caching-devel %{_description}

This package contains library source intended for building other packages which
use the "unsync-regex-caching" feature of the "%{crate}" crate.

%files       -n %{name}+unsync-regex-caching-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.9.6-1
- Update to version 0.9.6; Fixes RHBZ#2277901

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.3-1
- Update to version 0.9.3; Fixes RHBZ#2277901

* Sat Oct 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-3
- Bump more dependencies to the latest version

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Mar 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-1
- Initial import (#2266634)
## END: Generated by rpmautospec
